# module ActiveSupport::Testing::Isolation

### Public Class Methods

forking_env?() click to toggle source

    # File lib/active_support/testing/isolation.rb, line 36
    def self.forking_env?
      !ENV["NO_FORK"] && ((RbConfig::CONFIG['host_os'] !~ %rmswin|mingw/) && (RUBY_PLATFORM !~ %rjava/))
    end

included(base) click to toggle source

    # File lib/active_support/testing/isolation.rb, line 40
    def self.included(base)
      if defined?(::MiniTest) && base < ::MiniTest::Unit::TestCase
        base.send :include, MiniTest
      elsif defined?(Test::Unit)
        base.send :include, TestUnit
      end
    end

### Public Instance Methods

_run_class_setup() click to toggle source

    # File lib/active_support/testing/isolation.rb, line 48
    def _run_class_setup      # class setup method should only happen in parent
      unless defined?(@@ran_class_setup) || ENV['ISOLATION_TEST']
        self.class.setup if self.class.respond_to?(:setup)
        @@ran_class_setup = true
      end
    end